package com.sa.ibiz.demo.demo.service.impl;

import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.mapper.UserGroupMapper;
import com.sa.ibiz.demo.demo.domain.UserGroup;
import com.sa.ibiz.demo.demo.service.UserGroupService;
import com.sa.ibiz.demo.ibizutil.service.ServiceImplBase;
import com.sa.ibiz.demo.demo.service.dto.UserGroupSearchFilter;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.TreeMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.math.BigInteger;
import com.sa.ibiz.demo.ibizutil.annotation.PreField;
import java.lang.reflect.Field;


/**
 * 实体[UserGroup] 服务对象接口实现
 */
@Service
public class UserGroupServiceImpl extends ServiceImplBase<UserGroupMapper, UserGroup> implements UserGroupService{


    @Resource
    private UserGroupMapper usergroupMapper;


    @Override
    public boolean create(UserGroup et) {
        this.beforeCreate(et);
         return super.create(et);
    }
    @Override
    public boolean update(UserGroup et){
        this.beforeUpdate(et);
		this.usergroupMapper.updateOne(et);
		this.get(et);
		return true;
    }

    public Object getEntityKey(UserGroup et){
		return et.getUsergroupid();  
    }

    @Override
    public boolean getDraft(UserGroup et)  {
            return true;
    }

	public List<UserGroup> listDefault(UserGroupSearchFilter filter) {
		return usergroupMapper.searchDefault(filter,filter.getSelectCond());
	}

	public Page<UserGroup> searchDefault(UserGroupSearchFilter filter) {
		return usergroupMapper.searchDefault(filter.getPage(),filter,filter.getSelectCond());
	}

    public  List<Map<String,Object>> selectRow(String sql){
       return usergroupMapper.selectRow(sql);
    }

 }